gendesc(1)

NAME
gendesc - Generate a test case description file

SYNOPSIS
gendesc [-h|--help] [-v|--version]
    [-o|--output-filename filename]
    inputfile

DESCRIPTION
Convert plain text test case descriptions into a format as understood by genhtml. inputfile needs to observe the following format: For each test case:

-   one line containing the test case name beginning at the start of the line

-   one or more lines containing the test case description indented with at least one whitespace character (tab or space)
Example input file: test01
    An example test case description.
    Description continued
test42
    Supposedly the answer to most of your questions
Note: valid test names can consist of letters, decimal digits and the underscore character ('_').

OPTIONS
-h
--help
    Print a short help text, then exit.
-v
--version
    Print version number, then exit.
-o filename
--output-filename filename
    Write description data to filename. By default, output is written to STDOUT.

AUTHOR
Peter Oberparleiter <Peter.Oberparleiter@de.ibm.com>

SEE ALSO
lcov(1), genhtml(1), geninfo(1), genpng(1), gcov(1)
https://github.com/linux-test-project/lcov